# coding-dev-container

coding 自定义开发容器

## Develop

构建镜像
```

DOCKER_OPTS="--registry-mirror=https://mirror.ccs.tencentyun.com"
docker build . --tag jianboy/coding-dev-container

docker tag jianboy/coding-dev-container sift-docker.pkg.coding.net/flutter-team/dev-container/coding-dev-container:<VERSION>
docker push sift-docker.pkg.coding.net/flutter-team/dev-container/coding-dev-container:<VERSION>
```

配置使用

vim .coding-ci.yml
```
$:
  api_trigger_vscode:
    clouddev:
        build: .ide/Dockerfile
        image: codingci/default-env:latest
      services:
        - vscode
        - docker
      stages:
        - name: 开启云原生远程开发
          type: vscode:go
```

vim .ide/Dockerfile

```
FROM sift-docker.pkg.coding.net/flutter-team/dev-container/coding-dev-container:latest

```

## Reference

## License

